Bug 71759 - fontconfig install: execution of %post scriptlet failed with errorcode 127
Summary: fontconfig install: execution of %post scriptlet failed with errorcode 127
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: fontconfig   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-18 10:07 UTC by CoreDump
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 12:19:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description CoreDump 2002-08-18 10:07:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -U fontconfig-0.0.1.020811.1151-6.i386.rpm 

	

Actual Results:  error: execution of %post scriptlet from
fontconfig-0.0.1.020811.1151-6 failed, exit status 127


Expected Results:  Fontconfig installs

Additional info:

Running fc-cache manually results in this error message:
fc-cache: relocation error: /usr/lib/libfontconfig.so.1: undefined symbol:
FT_Get_Next_Char

Comment 1 Owen Taylor 2002-08-20 14:41:41 UTC
Should be fixed by fontconfig-0.0.1-020811.1151-7


Comment 2 CoreDump 2002-08-22 06:07:12 UTC
Sorry, the bug remained with 1151-7 :(
# rpm -U fontconfig-0.0.1.020811.1151-7.i386.rpm 
error: execution of %post scriptlet from fontconfig-0.0.1.020811.1151-7 failed,
exit status 127
# fc-cache
fc-cache: relocation error: /usr/lib/libfontconfig.so.1: undefined symbol:
FT_Get_Next_Char


Comment 3 Owen Taylor 2002-08-22 11:49:32 UTC
Sounds like you have another copy of libfreetype.so.6 on your
system not coming from your installed freetype RPM.

 ldd /usr/bin/fc-cache

May help you track down what it is.(Also check rpm -V freetype.)



Comment 4 CoreDump 2002-08-22 12:04:29 UTC
# ldd /usr/bin/fc-cache
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x4001a000)
        libc.so.6 => /lib/libc.so.6 (0x4003d000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x40146000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x4017a000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
# rpm -V freetype
<no output>
# rpm -q freetype
freetype-2.0.5-3

(i may have an old freetype, XFree86-xfs requires /usr/bin/ttmkfdir, this is why
i didn't upgrade freetype to 2.1.2)


Comment 5 CoreDump 2002-08-22 12:19:28 UTC
Forced install of freetype fixed the problem...


Comment 6 Owen Taylor 2002-08-22 13:24:47 UTC
The change in fontconfig-0.0.1.020811.1151-7 was to add:

 Requires: freetype >= 2.1.2-2

So I don't really understand how you were executing the above
lines like 'rpm -U fontconfig-0.0.1.020811.1151-7.i386.rpm' without
having --nodeps on the command line...

But anyways, sounds like things are working for you now.


Note You need to log in before you can comment on or make changes to this bug.